#include <gtest/gtest.h>
#include <solution/3136.h>

// 测试类定义
class IsValidTest : public ::testing::Test
{
};

// 示例 1：输入 "234Adas"，输出 true
TEST_F(IsValidTest, ValidWord)
{
    char word[] = "234Adas";
    EXPECT_TRUE(isValid(word));
}

// 示例 2：输入 "b3"，输出 false（长度 < 3 且无元音）
TEST_F(IsValidTest, TooShortNoVowel)
{
    char word[] = "b3";
    EXPECT_FALSE(isValid(word));
}

// 示例 3：输入 "a3$e"，输出 false（包含非法字符 $ 且无辅音）
TEST_F(IsValidTest, HasSymbolNoConsonant)
{
    char word[] = "a3$e";
    EXPECT_FALSE(isValid(word));
}

// 示例 3：输入 "3pp"，输出 false（无元音）
TEST_F(IsValidTest, NoConsonant)
{
    char word[] = "3pp";
    EXPECT_FALSE(isValid(word));
}